05 agosto 2012


Que onda, ando de pasada por acá y se me ocurrió dejarle el script para poder reparar su aircrack en Ubuntu 12.04 con kernel 3.2.0-27-generic, desafortunadamente  con la nueva versión de ubuntu nos encontramos con la sorpresa de que aircrack-ng ya no se encuentra en los repositorios, por lo que debemos instalarlo por separado, acá les dejare los links para que descarguen el archivo .deb para su respectivo sistema operativo:

Ubuntu 12.04 32 bits:
Descargar Aqui

Ubuntu 12.04 64 bits:
Descargar Aqui

Cuando ya este descargado el archivo .deb solo le dan doble click y lo instalan.

También les dejare el código para que puedan parchar su aircrack y no les marque el error "channel mon0 1", solo sigan las siguientes instrucciones:


1.- Copien el código
2.- Lo pegan un editor de texto (yo uso gedit)
3.- Guardan el archivo, le pueden poner cualquier nombre(yo le puse fix_aircrack.sh), solo asegurence de guardarlo con la extensión .sh
4.- Abren una terminal y se sitúan en la ruta donde dejaron guardado el script
5.- Con el comando chmod le darán permisos de ejecución, escriben lo siguiente: chmod 777 fix_aircrack.sh
6.-  Después escriben (en modo superusuario): ./fix_aircrack.sh
7.- Automáticamente espesara a descargar la ultima versión disponible del kernel para su Ubuntu y también descargara los drivers, la instalación durara aproximadamente unos 10 minutos , así que no desesperen, cuando termine de instalar reiniciara el sistema y LISTO¡¡¡ ya podrán usar aircrack sin ese molesto problema.

-----Acá les dejo el script---
---------------------------------------------------------------------------------------------------------------------

#!/bin/bash
sudo apt-get install linux-headers-$(uname -r)
wget http://www.orbit-lab.org/kernel/compat-wireless-3-stable/v3.5/compat-wireless-3.5-rc5-1.tar.bz2
tar -jxf compat-wireless-3.5-rc5-1.tar.bz2
cd compat-wireless-3.5-rc5-1
wget http://patches.aircrack-ng.org/channel-negative-one-maxim.patch
sudo apt-get install patch
patch ./net/wireless/chan.c channel-negative-one-maxim.patch
make
sudo make install
sudo make unload
sudo reboot
-------------------------------------------------------------------------------------------------------------------------

Eso es todo por hoy pensadores, si les gusto el post compartanlo en las redes sociales, cualquier duda o aclaración háganla saber en un comentario , recuerden que estamos para ayudarnos entre todos y con mucho gusto les responderemos.

Pensando en la web no se hace responsable del mal uso que los usuarios puedan darle al contenido.
Compártelo:
Categorias: , ,

17 comentarios:

  1. Probablemente también tengan que hacer esto después de parchar aircrack:

    #airmon-ng start mon0
    #airmon-ng check kill

    ...

    ResponderEliminar
    Respuestas
    1. Las veces que he parchado el aircrak no he tenido que hacerlo driverInside, siguiendo las instrucciones del post no deberías de tener problemas, pero gracias por tu aporte =D ;)

      Eliminar
  2. gracias amigo lo probare justo andaba buscando un parche para la 12.04 pq el que tenia para la 11 ya no funciono :)

    ResponderEliminar
  3. Todavía tengo ubuntu 11:10 este me parche me servira para arreglar lo del channel negativo? de todos modos gracia, rifado.

    ResponderEliminar
    Respuestas
    1. El script funciona deacuerdo a la version de kernel que tengas, si gustas podrias decirme que version de kernel tienes y asi poder decirte que parche usar.

      Eliminar
  4. Ya parche el aircrack con el script y me sigue mandando el error de channel -1,

    ResponderEliminar
    Respuestas
    1. Quiza el problema se deba a que el script no es el adecuado para la version de kernel que usas, dime que kernel usas y asi te dire que parche podrias usar. Saludos =D

      Eliminar
  5. Este es la version de mi kernel 3.2.0-31-generic
    que parche debo usar?

    ResponderEliminar
    Respuestas
    1. en esta pagina
      http://www.orbit-lab.org/kernel/compat-wireless-3-stable
      podras saber que parche es el mas nuevo, solo tendrias que sustituir el enlace en el script,
      saludos =D

      Eliminar
  6. Muchas gracias por el aporte. Tengo ubuntu 12.04 y me funcionó todo perfecto

    Un saludo.

    ResponderEliminar
  7. me funciono, estoy usando un linux mint 13(maya) basado en Ubuntu 12.04 con el kernel en la versión 3.2.0-34 y todo de maravilla.

    Gracias

    :)

    Quis custodiet ipsos custodes

    ResponderEliminar
  8. Está bien que nos ayudemos entre todos pero hay un tema que parece que no se toma en cuenta y es que Ubuntu se está haciendo más popular así que cada vez hay que tener más cuidado de donde instalas cosas. No bajar paquetes de cualquier página, verificar quién es el autor del paquete, verificar que sea de un sitio de confianza.
    Y para los scripts lo mismo.

    Por qué digo esto, porque justo un día estaba viendo un tema de escritorio creo que eran íconos y el que lo publicó (de paso en gnome-look.org que es una página auténtica) le había puesto un script con comandos para robarte las contraseñas de tu messenger. Y si, era en Linux, una especie de virus que alguien programó en un script para Linux camuflado en un tema de escritorio.
    Por suerte se dieron cuenta enseguida y pusieron los comentarios: No descarguen esto que tiene un script engañoso que te roba las claves (algo así).

    O sea, me explico, la verdad yo valoro la voluntad que ponen muchos en compartir sus conocimientos y en escribir un artículo y demás. Pero ahora como tarea extra esas personas deberían pensar en adicionar el tema de verificar las fuentes de donde obtienen sus paquetes.
    Porque sino por ahí aunque sea de buena fe van a estar compartiendo un virus, malware y cosas así.
    Eso se puede camuflar fácilmente en un paquete.

    Así que también para los que les gusta experimentar con Linux, OJO, no descarguen paquetes de cualquier parte. Ni siquiera de launchpad es 100% seguro ya que cualquier persona puede crear una cuenta y poner paquetes ahí.
    Lo que yo hago es verificar si la persona ha hecho algo en internet. Si es alguien más o menos conocido que se dedica a la informática. Entonces aunque no lo conozco en persona, ni tengo un trato personal ni por internet ni nada, al menos si el tipo anda publicando cosas por ejemplo de Gimp, y él hizo un paquete con el Gimp. Y buscando un poco más se ve que el tipo más o menos se dedica a eso. Entonces es casi seguro que es una persona con buenas intenciones. Pero si solamente puso uno o dos paquetes en launchpad y no se encuentran más referencia de esa persona por el resto del internet. Y, yo sospecho en que puede ser un engaño.

    Normalmente los autores de los programas o los que participan en el desarrollo, ellos mismos hacen el paquete. Así que en todo caso el camino más seguro es descargar un paquete que ellos mismos publiquen en su propia página. O que ellos anuncien en su página un launchad propio de ellos.

    Y sino no te queda otra más que compilarlo desde el código fuente. O que te lo haga un amigo.

    Bueno, espero que con este mensaje ayudar a que tomemos un poco más de consciencia sobre eso.

    Ok, eso espero, nos vemos.

    ResponderEliminar
  9. Muy buenos días, antes que nada agradezco tu publicación me ayudo a aclarar unas dudas, ahora bien te comento que yo tengo el kernel 3.2.0-36 y eh visitado la pagina pero me eh hecho un lío, podrías ayudarme?? a mi me sale esto cuando trato de autentificar me

    No source MAC (-h) specified. Using the device MAC (68:A3:C4:0B:43:85)
    13:48:49 Waiting for beacon frame (BSSID: 00:24:D1:BF:03:54) on channel -1
    13:48:49 mon0 is on channel -1, but the AP uses channel 11

    si no estoy mal con el scrip que has dejado se resuelve verdad? mi compu es una acer aspire one d255

    ResponderEliminar
  10. jajaja mate mi tarjeta wifi, ya no la reconoce =P

    ResponderEliminar
  11. Hola te escribo porque instale tu scrip y me mato el kernel! y ahora ya noi me habre! nose como solucionarlo, me aparecen los kernel en el grub pero no habren

    ResponderEliminar

Back to Top